org.omg.CORBA.DynAnyPackage

## Class Invalid

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.DynAnyPackage.Invalid

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class Invalid
      extends UserException

  Invalid is thrown by dynamic any operations when a bad `DynAny` or `Any` is passed as a parameter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Invalid()` Constructs an `Invalid` object.
    `Invalid(String reason)` Constructs an `Invalid` object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Invalid

          public Invalid()

      Constructs an `Invalid` object.

    - #### Invalid

          public Invalid(String reason)

      Constructs an `Invalid` object.
      Parameters:
        `reason` - a `String` giving more information regarding the bad parameter passed to a dynamic any operation.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.